---
title: "Les dataframes"
weight: 18
output:
  blogdown::html_page:
    toc: false
    fig_width: 6
    dev: "svg"
---

<script src="/rmarkdown-libs/header-attrs/header-attrs.js"></script>


<ul>
<li>Les dataframes sont des listes de vecteur de même dimension.</li>
</ul>
<div id="création" class="section level3">
<h3>Création</h3>
<pre class="r"><code>df&lt;-data.frame(x=1:12,y=month.name,z=month.abb|&gt;as.factor())
class(df)</code></pre>
<pre><code>## [1] &quot;data.frame&quot;</code></pre>
<pre class="r"><code>lapply(df,class)</code></pre>
<pre><code>## $x
## [1] &quot;integer&quot;
## 
## $y
## [1] &quot;character&quot;
## 
## $z
## [1] &quot;factor&quot;</code></pre>
<p>(Presque) toutes les fonctions qui s’appliquent aux listes s’appliquent aux dataframes.</p>
<pre class="r"><code>names(df)</code></pre>
<pre><code>## [1] &quot;x&quot; &quot;y&quot; &quot;z&quot;</code></pre>
<pre class="r"><code>length(df)</code></pre>
<pre><code>## [1] 3</code></pre>
<pre class="r"><code>c(df,df)</code></pre>
<pre><code>## $x
##  [1]  1  2  3  4  5  6  7  8  9 10 11 12
## 
## $y
##  [1] &quot;January&quot;   &quot;February&quot;  &quot;March&quot;     &quot;April&quot;     &quot;May&quot;       &quot;June&quot;     
##  [7] &quot;July&quot;      &quot;August&quot;    &quot;September&quot; &quot;October&quot;   &quot;November&quot;  &quot;December&quot; 
## 
## $z
##  [1] Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec
## Levels: Apr Aug Dec Feb Jan Jul Jun Mar May Nov Oct Sep
## 
## $x
##  [1]  1  2  3  4  5  6  7  8  9 10 11 12
## 
## $y
##  [1] &quot;January&quot;   &quot;February&quot;  &quot;March&quot;     &quot;April&quot;     &quot;May&quot;       &quot;June&quot;     
##  [7] &quot;July&quot;      &quot;August&quot;    &quot;September&quot; &quot;October&quot;   &quot;November&quot;  &quot;December&quot; 
## 
## $z
##  [1] Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec
## Levels: Apr Aug Dec Feb Jan Jul Jun Mar May Nov Oct Sep</code></pre>
</div>
<div id="indexation" class="section level3">
<h3>Indexation</h3>
<p>Les dataframes s’indexent comme des listes, mais aussi comme des matrices:</p>
<pre class="r"><code>df$x</code></pre>
<pre><code>##  [1]  1  2  3  4  5  6  7  8  9 10 11 12</code></pre>
<pre class="r"><code>df[[&quot;x&quot;]]</code></pre>
<pre><code>##  [1]  1  2  3  4  5  6  7  8  9 10 11 12</code></pre>
<pre class="r"><code>df[1:2,c(T,F,T)]</code></pre>
<pre><code>##   x   z
## 1 1 Jan
## 2 2 Feb</code></pre>
<pre class="r"><code>df$w&lt;-df$x+1</code></pre>
<p>La suite du cours donnera plus d’indications sur la manipulation des dataframes.</p>
</div>
